'''
Defines constants used by the L{AEInput} package.

@todo: PP: document commands

@author: Peter Parente
@organization: IBM Corporation
@copyright: Copyright (c) 2005, 2006 IBM Corporation
@license: The BSD License

All rights reserved. This program and the accompanying materials are made 
available under the terms of the BSD license which accompanies
this distribution, and is available at
U{http://www.opensource.org/licenses/bsd-license.php}
'''

# gesture from any input device
CMD_GESTURE = 0

# constants representing the input filter modes
FILTER_NONE, FILTER_HANDLED, FILTER_ALL = 0, 1, 2

# provide a reverse mapping from command constants to string command names
COMMAND_NAMES = dict([(value, name.lower()[4:]) for name, value in 
                      locals().items() if name.startswith('CMD_')])

all_types = COMMAND_NAMES.values()
default_types = []